Module java.sql
Package java.sql

# Interface Savepoint

    public interface Savepoint

The representation of a savepoint, which is a point within the current transaction that can be referenced from the `Connection.rollback` method. When a transaction is rolled back to a savepoint all changes made after that savepoint are undone.

Savepoints can be either named or unnamed. Unnamed savepoints are identified by an ID generated by the underlying data source.

Since:
  1.4

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getSavepointId()` | Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
`String` | `getSavepointName()` | Retrieves the name of the savepoint that this `Savepoint` object represents.

## Method Details

### getSavepointId

int getSavepointId() throws SQLException
Retrieves the generated ID for the savepoint that this `Savepoint` object represents.

Returns:
  the numeric ID of this savepoint
Throws:
  `SQLException` - if this is a named savepoint
Since:
  1.4

### getSavepointName

String getSavepointName() throws SQLException
Retrieves the name of the savepoint that this `Savepoint` object represents.

Returns:
  the name of this savepoint
Throws:
  `SQLException` - if this is an un-named savepoint
Since:
  1.4